# Asterisk Project : Asterisk 13 Function_FILE_FORMAT

Created by wikibot on Aug 08, 2014

# FILE_FORMAT()

### Synopsis

Return the newline format of a text file.

### Description

Return the line terminator type:

'u' - Unix "\n" format

'd' - DOS "\r\n" format

'm' - Macintosh "\r" format

'x' - Cannot be determined

Note

Icon

If `live_dangerously` in `asterisk.conf` is set to `no`, this function can only be executed from the dialplan, and not directly from external protocols.

### Syntax

    FILE_FORMAT(filename)

##### Arguments

- `filename`

### See Also

- Asterisk 13 Function_FILE
- Asterisk 13 Function_FILE_COUNT_LINE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538